SUBDIRS =

.PHONY: subdirs all documentation tables $(SUBDIRS)

all : documentation tables subdirs html-doc

subdirs : $(SUBDIRS)

ifdef SUBDIRS
$(SUBDIRS) :
	$(MAKE) -C $@ -f Makefile.sl
endif	

DOCSTRIP=sl docstrip/docstrip -i $< -o $@ $(notdir $(basename $<)) "`sl version $(notdir $(basename $<))` (`date +%x`)"

documentation : sl.1 sl_files.1 sl_int64.1 sl_crypt.1 TODO

html-doc : sl.1.html sl_files.1.html sl_int64.1.html sl_crypt.1.html

tables : docstrip_spec.t entities.t entities4.t ent2tex.t sgmlent.t

sl.1 : overview.doc sl.c interp.c
	sl docstrip/docstrip -i overview.doc -o sl.1 sl "`sl slexec 'version()'` (`date +%x`)"

sl_files.1 : modules/files/files.c
	$(DOCSTRIP)

sl_int64.1 : modules/int64/int64.c
	$(DOCSTRIP)

sl_crypt.1 : modules/crypt/crypt.c
	$(DOCSTRIP)

TODO : overview.doc
	sl mktodo

%.t : %.txt
	sl mktable $@ $<

%.1.html : %.1
	sl man2html $< >$@

